<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto  = false;
$sesion    = false;
$mensaje   = 'No se pudo aplicar el filtro';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(9)
) {
   
  if( isset($_POST['cliente']) ) {
    $_SESSION['filtroclientesProveedoresCliente'] = trim( $_POST['cliente'] );
  }
  if( isset($_POST['proveedorSils']) ) {
    $_SESSION['filtroclientesProveedoresProveedorSils'] = trim( $_POST['proveedorSils'] );
  }
  if( isset($_POST['proveedorCliente']) ) {
    $_SESSION['filtroclientesProveedoresProveedorCliente'] = trim( $_POST['proveedorCliente'] );
  }
  if( isset($_POST['estado']) ) {
    $_SESSION['filtroclientesProveedoresEstado'] = trim( $_POST['estado'] );
  }
  if( isset($_POST['rut']) ) {
    $_SESSION['filtroclientesProveedoresRut'] = trim( $_POST['rut'] );
  }  
  if( isset($_POST['razonSocial']) ) {
    $_SESSION['filtroclientesProveedoresRazonSolcial'] = trim( $_POST['razonSocial'] );
  }

  $correcto = true;
  $mensaje = 'Filtro aplicado';
} else {
  $sesion = true;
}

$data = array(
  'success' => $correcto,
  'mensaje' => $mensaje,
  'sesion'  => $sesion
);
echo json_encode($data);
?>